summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-perl/Search-Xapian
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-perl/Search-Xapian')
-rw-r--r--dev-perl/Search-Xapian/Manifest3
-rw-r--r--dev-perl/Search-Xapian/Search-Xapian-1.2.19.0.ebuild36
-rw-r--r--dev-perl/Search-Xapian/Search-Xapian-1.2.20.0.ebuild36
-rw-r--r--dev-perl/Search-Xapian/Search-Xapian-1.2.21.0.ebuild36
-rw-r--r--dev-perl/Search-Xapian/metadata.xml65
5 files changed, 176 insertions, 0 deletions
diff --git a/dev-perl/Search-Xapian/Manifest b/dev-perl/Search-Xapian/Manifest
new file mode 100644
index 00000000000..dc5e0664cde
--- /dev/null
+++ b/dev-perl/Search-Xapian/Manifest
@@ -0,0 +1,3 @@
+DIST Search-Xapian-1.2.19.0.tar.gz 63667 SHA256 d9ff745bb3ace7c1c2dbcf4ad65f3e50b3744d16c0a9ee3a51fe7c6541f639c2 SHA512 78ba36f3b8157ef872330b88992012d3f553abc3f2322bbb1d0f3111681dd530e5b57e4989fef645401d19cb4d95f5d284a305c5470efc2911051d1765551a3f WHIRLPOOL 9f81480e6341f3bd65bfd243d95d5b8ecce30cb4b9c531a3dffac48f1d787259988e51a19a32af73693dbbbbba8e08865e1a116a49f9fe4f0b2fa2e78a22c0e8
+DIST Search-Xapian-1.2.20.0.tar.gz 67128 SHA256 1be6dc77680ba5597bbb3f1cf7ac9fa61de77e9266be2e6a45a7f913b274c139 SHA512 734ed63dc86f904f5b68c7c8e62780d82c27414625c54d4d14e974aa1b2f0b1f0022f0176da072ff4e6fd2a218586dbfc0f85481df60bb0d231ad978c3ec969b WHIRLPOOL 7b8b5a2e9b572e5dbe7671368c31e6ac0052b8c9cbb3052548ed816e75c55696414c1ef57b9c8040c2c5faf4371afd0272cf57b8557cc028f7f4ca4cdcb825ef
+DIST Search-Xapian-1.2.21.0.tar.gz 67726 SHA256 34cb6279c3394b763e16ff9ae6b48942bdddb494312548366156cfdb4d8c70b5 SHA512 e2ffbf1a880fbda000020f7d9310b71690b26267d9324dd4ee05268b348ac5e5974c1c1feb097cf6bb3c267e5b440422a0153167b916cd2215749df236c2e883 WHIRLPOOL f34ba0070fb41e0efeb2aff4852ef8717b216184c79878196c50650f009d6e48d216b8dd1f9cd07031fb2be713faf5a3e9c8e1184469fed69fa745f69bb5572a
diff --git a/dev-perl/Search-Xapian/Search-Xapian-1.2.19.0.ebuild b/dev-perl/Search-Xapian/Search-Xapian-1.2.19.0.ebuild
new file mode 100644
index 00000000000..7cd9097b890
--- /dev/null
+++ b/dev-perl/Search-Xapian/Search-Xapian-1.2.19.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+MODULE_AUTHOR=OLLY
+inherit perl-module toolchain-funcs versionator
+
+VERSION=$(get_version_component_range 1-3)
+
+SRC_URI+=" http://oligarchy.co.uk/xapian/${VERSION}/${P}.tar.gz"
+DESCRIPTION="Perl XS frontend to the Xapian C++ search library"
+
+LICENSE="|| ( Artistic GPL-1 GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 sparc x86"
+IUSE="examples"
+
+RDEPEND="~dev-libs/xapian-${VERSION}
+ !dev-libs/xapian-bindings[perl]"
+DEPEND="${RDEPEND}
+ dev-perl/Module-Build"
+
+SRC_TEST="do"
+
+myconf="CXX=$(tc-getCXX) CXXFLAGS=${CXXFLAGS}"
+
+src_install() {
+ perl-module_src_install
+
+ use examples && {
+ docinto examples
+ dodoc "${S}"/examples/*
+ }
+}
diff --git a/dev-perl/Search-Xapian/Search-Xapian-1.2.20.0.ebuild b/dev-perl/Search-Xapian/Search-Xapian-1.2.20.0.ebuild
new file mode 100644
index 00000000000..61608f07268
--- /dev/null
+++ b/dev-perl/Search-Xapian/Search-Xapian-1.2.20.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+MODULE_AUTHOR=OLLY
+inherit perl-module toolchain-funcs versionator
+
+VERSION=$(get_version_component_range 1-3)
+
+SRC_URI+=" http://oligarchy.co.uk/xapian/${VERSION}/${P}.tar.gz"
+DESCRIPTION="Perl XS frontend to the Xapian C++ search library"
+
+LICENSE="|| ( Artistic GPL-1 GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="~dev-libs/xapian-${VERSION}
+ !dev-libs/xapian-bindings[perl]"
+DEPEND="${RDEPEND}
+ dev-perl/Module-Build"
+
+SRC_TEST="do"
+
+myconf="CXX=$(tc-getCXX) CXXFLAGS=${CXXFLAGS}"
+
+src_install() {
+ perl-module_src_install
+
+ use examples && {
+ docinto examples
+ dodoc "${S}"/examples/*
+ }
+}
diff --git a/dev-perl/Search-Xapian/Search-Xapian-1.2.21.0.ebuild b/dev-perl/Search-Xapian/Search-Xapian-1.2.21.0.ebuild
new file mode 100644
index 00000000000..61608f07268
--- /dev/null
+++ b/dev-perl/Search-Xapian/Search-Xapian-1.2.21.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+MODULE_AUTHOR=OLLY
+inherit perl-module toolchain-funcs versionator
+
+VERSION=$(get_version_component_range 1-3)
+
+SRC_URI+=" http://oligarchy.co.uk/xapian/${VERSION}/${P}.tar.gz"
+DESCRIPTION="Perl XS frontend to the Xapian C++ search library"
+
+LICENSE="|| ( Artistic GPL-1 GPL-2 GPL-3 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="~dev-libs/xapian-${VERSION}
+ !dev-libs/xapian-bindings[perl]"
+DEPEND="${RDEPEND}
+ dev-perl/Module-Build"
+
+SRC_TEST="do"
+
+myconf="CXX=$(tc-getCXX) CXXFLAGS=${CXXFLAGS}"
+
+src_install() {
+ perl-module_src_install
+
+ use examples && {
+ docinto examples
+ dodoc "${S}"/examples/*
+ }
+}
diff --git a/dev-perl/Search-Xapian/metadata.xml b/dev-perl/Search-Xapian/metadata.xml
new file mode 100644
index 00000000000..f15449de371
--- /dev/null
+++ b/dev-perl/Search-Xapian/metadata.xml
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>blueness@gentoo.org</email>
+ <name>Anthony G. Basile</name>
+ </maintainer>
+ <maintainer>
+ <email>bugs@bergstroem.nu</email>
+ <name>Johan Bergström</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="cpan">Search-Xapian</remote-id>
+ <remote-id type="cpan-module">Search::Xapian</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::AssertionError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::BM25Weight</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::BoolWeight</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Database</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseCorruptError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseCreateError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseLockError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseModifiedError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseOpeningError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DatabaseVersionError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::DocNotFoundError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Document</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::ESet</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::ESetIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Enquire</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Error</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::FeatureUnavailableError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::InternalError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::InvalidArgumentError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::InvalidOperationError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::LogicError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::MSet</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::MSet::Tied</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::MSetIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::MultiValueSorter</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::NetworkError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::NetworkTimeoutError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::PerlStopper</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::PositionIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::PostingIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Query</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::QueryParser</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::QueryParserError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::RSet</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::RangeError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::RuntimeError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::SerialisationError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::SimpleStopper</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Stem</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Stopper</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::TermGenerator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::TermIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::TradWeight</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::UnimplementedError</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::ValueIterator</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::Weight</remote-id>
+ <remote-id type="cpan-module">Search::Xapian::WritableDatabase</remote-id>
+ </upstream>
+</pkgmetadata>